aboutsummaryrefslogtreecommitdiffstats
path: root/testing/nut/APKBUILD
diff options
context:
space:
mode:
authorKozak Ivan <kozak-iv@yandex.ru>2014-03-02 17:19:40 +0400
committerNatanael Copa <ncopa@alpinelinux.org>2014-03-05 08:46:31 +0000
commitfe700e6fdc9e67500ea013d4399313e016a6339e (patch)
treecfa257f79e71c795ec7f28cfc8d73181d4e5e108 /testing/nut/APKBUILD
parentbbbc4046f1f6d0370fc63ced842cdd67adbe093f (diff)
downloadaports-fe700e6fdc9e67500ea013d4399313e016a6339e.tar.gz
aports-fe700e6fdc9e67500ea013d4399313e016a6339e.tar.bz2
aports-fe700e6fdc9e67500ea013d4399313e016a6339e.tar.xz
testing/nut: new aport
Diffstat (limited to 'testing/nut/APKBUILD')
-rw-r--r--testing/nut/APKBUILD99
1 files changed, 99 insertions, 0 deletions
diff --git a/testing/nut/APKBUILD b/testing/nut/APKBUILD
new file mode 100644
index 0000000000..d6929df1a8
--- /dev/null
+++ b/testing/nut/APKBUILD
@@ -0,0 +1,99 @@
+# Contributor: Kozak Ivan <kozak-iv@yandex.ru>
+# Maintainer: Kozak Ivan <kozak-iv@yandex.ru>
+pkgname=nut
+pkgver=2.7.1
+pkgrel=0
+pkgdesc="Network UPS tools - server"
+url="http://www.networkupstools.org"
+arch="all"
+license="GPL"
+depends_dev="libusb-compat-dev net-snmp-dev neon-dev libtool"
+makedepends="$depends_dev"
+pkgusers="nut"
+pkggroups="nut"
+install="$pkgname.pre-install"
+subpackages="$pkgname-doc $pkgname-dev"
+source="http://www.networkupstools.org/source/2.7/$pkgname-$pkgver.tar.gz
+ bcmxcp.patch
+ nut-upsd.initd
+ nut-upsd.confd
+ nut-upsmon.initd
+ nut-upsmon.confd"
+
+# bcmxcp.patch - sorry no bcmxc and no bcmxcp_usb (get errors about undefined reference to `ldexp')
+
+_builddir="$srcdir"/$pkgname-$pkgver
+
+prepare() {
+ local i
+ cd "$srcdir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ ./configure --without-wrap \
+ --with-user=nut \
+ --with-group=nut \
+ --disable-static \
+ --with-serial \
+ --with-usb \
+ --without-avahi \
+ --with-snmp \
+ --with-neon \
+ --without-powerman \
+ --without-ipmi \
+ --without-freeipmi \
+ --with-libltdl \
+ --without-cgi \
+ --prefix=/usr \
+ --with-drvpath=/usr/libexec/nut \
+ --datadir=/usr/share/nut \
+ --sysconfdir=/etc/nut \
+ --with-statepath=/var/run/nut \
+ --with-altpidpath=/var/run/nut \
+ --with-openssl
+
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ chmod 640 "$pkgdir"/etc/nut/* || return 1
+ chown root:nut "$pkgdir"/etc/nut/* || return 1
+ install -D -m0755 "$srcdir"/nut-upsd.initd "$pkgdir"/etc/init.d/nut-upsd || return 1
+ install -D -m0644 "$srcdir"/nut-upsd.confd "$pkgdir"/etc/conf.d/nut-upsd || return 1
+ install -D -m0755 "$srcdir"/nut-upsmon.initd "$pkgdir"/etc/init.d/nut-upsmon || return 1
+ install -D -m0644 "$srcdir"/nut-upsmon.confd "$pkgdir"/etc/conf.d/nut-upsmon || return 1
+ #install -d -o nut -g nut -m700 "$pkgdir"/var/lib/nut || return 1
+ #for file in "$pkgdir"/etc/nut/*.sample
+ #do
+ # mv $file "$pkgdir"/etc/nut/`basename $file .sample`
+ #done
+
+ rm -f "$pkgdir"/usr/lib/*.la
+}
+
+md5sums="e64cf832063ecd6645683fc2ac2bd564 nut-2.7.1.tar.gz
+e32d263cac299d26c8109053d22dfdcf bcmxcp.patch
+e981e4ff27c0fc455ad2f319cbf29c36 nut-upsd.initd
+6b068c71884f8d66b5b7395b4a14d821 nut-upsd.confd
+21f6121acfeb17d51376bb0d11518804 nut-upsmon.initd
+6b068c71884f8d66b5b7395b4a14d821 nut-upsmon.confd"
+sha256sums="71a6d73ad6d910808126ba7f217ec1142a0c6709c63a22a099e7338960b2c798 nut-2.7.1.tar.gz
+60c9b0b3cea00887f4d7e9e3ebc2644617bb511b4601bbae0b0473b9db5dcd90 bcmxcp.patch
+afb6878a67a6effc9199b24dbcc4be20a799abbd370d8ebcfe09d05bb1ba11d6 nut-upsd.initd
+8ee7ff65c3ef84bb1bc0b458ff5b574bb8a6ac656a6d3a40441185b352481dda nut-upsd.confd
+0dfbc87ff6bb6c66132ecf4d7d09710ba34343e7cf42733484fa2df77b9be4cb nut-upsmon.initd
+8ee7ff65c3ef84bb1bc0b458ff5b574bb8a6ac656a6d3a40441185b352481dda nut-upsmon.confd"
+sha512sums="087c63b12f44c1b0caf8ffb2c5fda213a1b2060bdc284bd7fdff38a58f190c513790438388a4ceda8772938ae56ac84ca8635666ad89f067bec4d818252158ae nut-2.7.1.tar.gz
+9b43a749c7ace6a908bf0c4a23c04411ca755b872c80ad8c2d9be24ac6669978b969c2a8aa1bb0b23a1c53e912ca7ec2e315fc7e4ce301ac9b4aac41f573dfed bcmxcp.patch
+a0a205805a7cd7bc70163d9b50e51f16e74af22a799f74b1155430ca65090d64af972070d04759e4ac8e83e088bcbc531d9e9abd38482f74a885965ff0dc0ed8 nut-upsd.initd
+cf93ce44cb6fcf980f48f77abeeabb8d0b4008e8258cf7085d68b2a9c5c10c818dbf0030630218fcf8d9c9aba43c06bda28f91efca9cc783438ec0192f10eb5d nut-upsd.confd
+aa6efe85e874ada8b4cea0581bca6b8c24fa336fe1b197925519041f55b21d77683c31e2d8304fb45062cb52a55d44682981fcd22c7db0d2f8adf7e866324efe nut-upsmon.initd
+cf93ce44cb6fcf980f48f77abeeabb8d0b4008e8258cf7085d68b2a9c5c10c818dbf0030630218fcf8d9c9aba43c06bda28f91efca9cc783438ec0192f10eb5d nut-upsmon.confd"